- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 7e010fed-b08e-4b7c-b3c2-74cd1634f7ba
    creation_time: 2023-02-17T12:12:00.546479Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/bhmr2007.i
      input_file_hashes:
        c/loop-lit/bhmr2007.i: 07cb9038cdaf0e413365ff784390031a7ba733892c02a00ed18b47b0bbaf3c4d
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/bhmr2007.i
    file_hash: 07cb9038cdaf0e413365ff784390031a7ba733892c02a00ed18b47b0bbaf3c4d
    line: 28
    column: 0
    function: main
  loop_invariant:
    string: a+b == 3*i && i <= n
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: a8caa4bc-ef83-4761-b247-7fdf40ca8c8e
    creation_time: 2023-02-17T12:12:00.546774Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/bhmr2007.i
      input_file_hashes:
        c/loop-lit/bhmr2007.i: 07cb9038cdaf0e413365ff784390031a7ba733892c02a00ed18b47b0bbaf3c4d
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/bhmr2007.i
    file_hash: 07cb9038cdaf0e413365ff784390031a7ba733892c02a00ed18b47b0bbaf3c4d
    line: 38
    column: 0
    function: main
  location_invariant:
    string: a+b == 3*n
    type: assertion
    format: C

